"""
bug_report.py

Created by Stephen Andrews, January 8th, 2019.
"""

from app.extensions import AuditMixin, db


class BugReport(db.Model, AuditMixin):
    """The model for a bug report."""
    __tablename__ = 'bug_report'

    id = db.Column(db.Integer, primary_key=True)
    user_id = db.Column(db.Integer, db.ForeignKey('user.id'), nullable=False)
    report = db.Column(db.Text, nullable=False)