"""
interested_list.py

Created by Theodore Bieber, December 6th 2018.
"""

from app.config import Config
from app.extensions import AuditMixin, db

class InterestedList(db.Model, AuditMixin):
    """The Model for a User."""
    __tablename__ = 'interested_list'

    id = db.Column(db.Integer, primary_key=True)
    email = db.Column(db.Text, nullable=False, unique=True)

    def serialize(self):
        j = {}
        j['id'] = self.id
        j['email'] = self.email
        
        return j