from app.extensions import AuditMixin, db


class Sale(db.Model, AuditMixin):
    """The model for a sale."""
    __tablename__ = 'sale'

    id = db.Column(db.Integer, primary_key=True)
    listing_id = db.Column(db.Integer, db.ForeignKey('listing.id'), nullable=False)
    price = db.Column(db.Float, nullable=False)
