from app.extensions import AuditMixin, db


class WantedList(db.Model, AuditMixin):
    """The model for a user's wanted books."""
    __tablename__ = 'wanted_list'

    id = db.Column(db.Integer, primary_key=True)
    user_id = db.Column(db.Integer, db.ForeignKey('user.id'), nullable=False)
    book_id = db.Column(db.Integer, db.ForeignKey('book.id'), nullable=False)
