# Bookstand

Bookstand is a mobile app aimed at helping students save money on textbooks. Students spend an average of $1,298 on textbooks per year. With rising tuition costs, these textbook prices make it increasingly harder for students to secure their education. This project was developed as part of an MQP at Worcester Polytechnic Institute.

## Getting Started

In order to begin development on Bookstand, you will need to clone both the frontend and backend code. The following describes how to setup the frontend. In order to setup the backend please see the [Bookstand-API repository](https://github.com/supreme/BookStand-API).

1. Install [node.js](https://nodejs.org/en/)
2. Install `expo-cli` to develop and deploy application

    `npm install -g expo-cli`
    
3. Install the dependencies

    `npm install`

4. Start local app server

    `expo start`

You can now view the app through an iOS/Android simulator or by downloading the [Expo app](https://itunes.apple.com/us/app/expo-client/id982107779?mt=8) on your mobile device. 