from app.extensions import AuditMixin, db


class Trade(db.Model, AuditMixin):
    """The model for a trade."""
    __tablename__ = 'trade'

    id = db.Column(db.Integer, primary_key=True)
    listing_id = db.Column(db.Integer, db.ForeignKey('listing.id'), nullable=False)
    book_id = db.Column(db.Integer, db.ForeignKey('book.id'), nullable=False)
