import React, { Component } from 'react';

import {
  View,
  Text,
  Image,
  TouchableOpacity
} from 'react-native';

export default class Card extends Component {
  constructor() {
    super();
  }

  render() {
    return (
      <TouchableOpacity onPress={this.props.onPress}>
        <View style={{height: 130, width: 130, marginLeft: 10, marginRight: 10, borderWidth: 1, borderColor:'#dddddd', borderRadius: 10, padding: 10}}>
          <View style={{flex: 2}}>
            <Image source={this.props.imageUri} style={{flex: 1, width: null, height: null}} />
          </View>
          <View style={{flex: 1, paddingLeft: 10, paddingTop: 10}}>
            <Text>{this.props.name}</Text>
          </View>
        </View>
      </TouchableOpacity>
    );
  }
}
